Get all open operations of this type
curl --request GET \
--url https://api.bold-factory.com/v1/production/operationTypes/{typeReference}/operations/open \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/operationTypes/{typeReference}/operations/open"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/operationTypes/{typeReference}/operations/open', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"externalReference": "<string>",
"orderId": "<string>",
"order": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"requestId": "<string>",
"relatedId": "<string>",
"requester": "<string>",
"recipeId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"recipeId": "<string>",
"productId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"productId": "<string>",
"product": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"externalReference": "<string>"
},
"conditionFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"obsoleteRecipe": true,
"plannedQuantity": 123,
"completedQuantity": 123,
"rejectedQuantity": 123,
"notes": "<string>",
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"plannedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"targetedAt": "2023-11-07T05:31:56Z",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"plannedDurationSeconds": 123,
"plannedManpowerSeconds": 123,
"completedWorkloadSeconds": 123,
"completedDurationSeconds": 123,
"netScheduledSeconds": 123,
"netOperatingSeconds": 123,
"realManpowerSeconds": 123,
"completionPercent": 123,
"availability": 123,
"efficiency": 123,
"productivity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"name": "<string>",
"orderCode": "<string>",
"isFinalOperation": true,
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"positionX": 123,
"positionY": 123,
"restrictedBy": [
{
"id": "<string>",
"fromId": "<string>",
"from": null,
"toId": "<string>",
"to": null
}
],
"requiredCharacteristicId": "<string>",
"requiredCharacteristic": {
"id": "<string>",
"name": "<string>",
"toolsCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"toolId": "<string>",
"tool": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"typeId": "<string>",
"type": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"possibleWorkstations": 123,
"skillCount": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"workstationId": "<string>",
"workstation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"areaId": "<string>",
"area": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"parentId": "<string>",
"parent": null,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"autocompleteOperations": true,
"infiniteCapacity": true,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"operationsGroupId": "<string>",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"requiredEmployees": 123,
"plannedQuantity": 123,
"completedQuantity": 123,
"rejectedQuantity": 123,
"plannedDurationSeconds": 123,
"plannedManpowerSeconds": 123,
"completedManpowerSeconds": 123,
"completedDurationSeconds": 123,
"elapsedSeconds": 123,
"netScheduledSeconds": 123,
"netOperatingSeconds": 123,
"realManpowerSeconds": 123,
"completionPercent": 123,
"availability": 123,
"efficiency": 123,
"productivity": 123,
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"targetedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
],
"totalCount": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Operation Types
Get all open operations of this type
Requires Production.Orders.Read permissions
GET
/
v1
/
production
/
operationTypes
/
{typeReference}
/
operations
/
open
Get all open operations of this type
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Parámetros de consulta
⌘I